
luatexbase.provides_module({
    name        = 'noembedding',
    date        = '2011/05/20',
    version     = 0.0,
    description = 'do not embed standard cjk cid-keyed fonts',
    author      = 'Dohyun Kim',
    license     = 'Public Domain',
})


local find = string.find

luatexbase.add_to_callback(
    "luaotfload.patch_font",
    function(fontdata)
	local psname = fontdata.psname
	if  find(psname, "^AdobeMyungjo") or
	    find(psname, "^AdobeGothic")  or
	    find(psname, "^Times")	  or
	    find(psname, "^Helvetica")	  or
	    find(psname, "^Courier")	  or
	    find(psname, "^KozMinPr")	  or
	    find(psname, "^KozGoPr")	  or
	    find(psname, "^AdobeSong")	  or
	    find(psname, "^AdobeHeiti")   or
	    find(psname, "^AdobeMing")	  or
	    find(psname, "^AdobeFanHeiti") then
	    fontdata.embedding = "no"
	end
    end,
    "no_embed_cjk_std_fonts")
